Jump to content

configuration apt-get


Recommended Posts

Bonjour à tous,

Voilà depuis quelques jours je suis passé sous Suse 9.1 (bonne distrib d'ailleurs pour les newbees comme moi) mais j'ai un problème pour la configuration de apt-get, voilà ce qui se passe lorsque je lance un apt-get update

"linux:/etc/apt/apt.conf.d # apt-get update

E: Syntax error /etc/apt/apt.conf.d/gpg-checker.conf:3: Unsupported directive 'GPG::Check'"

J'ai suivi à la lettre le tutorial de X-Guardian mais y'a rien à faire, pas moyen d'utiliser apt-get

voilà le détail de mes fichiers de config, si quelqu'un peut me dire ou je merde (je n'ai fait que des copier coller de ce que j'ai pu trouvé sur le forum et j'ai ensuite essayer de voir au niveau des espaces, pensant que ça pouvait venir de ça ... :-D

voilà le détail de mon gpg-checker.conf

// Make GPG::Check no; to disable gpg checking

// It can still be used in combination with --checksig

#GPG::Check true;

#RPM:: GPG-Check false;

RPM:: GPG-Check false;

et voilà le détail de mon fichier sources.list

rpm ftp://ftp.gwdg.de/pub/linux/suse/apt SuSE/9.1-i386 suser-gbv update-prpm update kde gnome xfree86 xorg mozilla suser-rbos suser-tcousin suser-scorot funktronics packman packman-i686 wine suse-people suse-projects kde3-stable security-prpm security

Il est où le problème .... merci d'avance :reflechis:

Link to post
Share on other sites

c'est bon j'ai trouvé ....

// Make GPG::Check no; to disable gpg checking

// It can still be used in combination with --checksig

//#GPG::Check true;

//#RPM:: GPG-Check false;

RPM::GPG-Check false;

un p'tit wq!

apt-get update : ça marche j'ai certaine erreurs dans mes sources ... mais bon c'est mieux que rien je trouverai sans doute mieux plus tard

par contre j'ai voulu faire un apt-get install Mplayer :-D

linux:/etc/apt/apt.conf.d # apt-get install Mplayer

Reading Package Lists... Done

Building Dependency Tree... Done

E: Couldn't find package Mplayer

ça doit venir de mes sources du moins je le pense :chinois:

j'ai lancé également un apt-get install synaptic : nickel

dans mon p'tit bouquin (eh oui j'ai le linux cd 9 avec la suse 9.1 en DVD), ils disent qu'il faut faire ensuite un sux, de saisir le mot de passe root puis de lancer Synaptic avec la commande Synaptic & : marche pas ... si on peut m'aider ... :craint:

Link to post
Share on other sites
suse comme mandrake , debian etc ne font pas de paquets pour mplayer

ah bon? comment ça se fait?

PS : y'avais mplayer sur une mardrake 9.2 que j'ai installé il y a pas longtemps...

Link to post
Share on other sites
ah bon? comment ça se fait?

PS : y'avais mplayer sur une mardrake 9.2 que j'ai installé il y a pas longtemps...

pour mandrake il faut aller les chercher sur le plf

pour debian c'est source list qui n'est pas chez debian

debian reprochait a l'auteur de mettre du code qui ne lui appartenait pas , il y a eu aussi debian c'est de la merde je me suis fait hacké mon serveur ( un des auteurs de mplayer )

Link to post
Share on other sites
il y a eu aussi debian c'est de la merde je me suis fait hacké mon serveur ( un des auteurs de mplayer )

J'ai pas compris.

Il y a eu, ça veut dire quoi exactement ? Qui, quand, comment, pourquoi ?

Tu as un lien ou l'histoire complète, ça m'intéresse.

:chinois:

Link to post
Share on other sites

Concernant Debian, il faut rajouter un mirroi non officiel au sources.list. toutefois, je le conseille juste pour installer mplayer ou equivalent, et de le mettre en commentaires apres et de faire un apt-get update, histoire de rester dans les sources officielles le plus possible.

Link to post
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...